scala.reflect.reify.utils.SymbolTables

# SymbolTable

#### class SymbolTable extends AnyRef

Source
  SymbolTables.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SymbolTable
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(symDef: tools.nsc.Global.Tree): Utils.SymbolTable

4. #### def +(sym: tools.nsc.Global.Symbol, name: tools.nsc.Global.TermName, reification: tools.nsc.Global.Tree): Utils.SymbolTable

5. #### def ++(symtab: Utils.SymbolTable): Utils.SymbolTable

6. #### def ++(symDefs: collection.TraversableOnce[tools.nsc.Global.Tree]): Utils.SymbolTable

7. #### def -(symDef: tools.nsc.Global.Tree): Utils.SymbolTable

8. #### def -(name: tools.nsc.Global.TermName): Utils.SymbolTable

9. #### def -(sym: tools.nsc.Global.Symbol): Utils.SymbolTable

10. #### def --(symtab: Utils.SymbolTable): Utils.SymbolTable

11. #### def --(symDefs: collection.TraversableOnce[tools.nsc.Global.Tree]): Utils.SymbolTable

12. #### def --(names: collection.Iterable[tools.nsc.Global.TermName]): Utils.SymbolTable

13. #### def --(syms: GenTraversableOnce[tools.nsc.Global.Symbol]): Utils.SymbolTable

14. #### def ->[B](y: B): (Utils.SymbolTable, B)

    Implicit information
      This member is added by an implicit conversion from Utils.SymbolTable to ArrowAssoc[Utils.SymbolTable] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @inline()

15. #### final def ==(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

17. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### def debugString: String

19. #### def encode: List[tools.nsc.Global.Tree]

20. #### def ensuring(cond: (Utils.SymbolTable) ⇒ Boolean, msg: ⇒ Any): Utils.SymbolTable

    Implicit information
      This member is added by an implicit conversion from Utils.SymbolTable to Ensuring[Utils.SymbolTable] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### def ensuring(cond: (Utils.SymbolTable) ⇒ Boolean): Utils.SymbolTable

    Implicit information
      This member is added by an implicit conversion from Utils.SymbolTable to Ensuring[Utils.SymbolTable] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### def ensuring(cond: Boolean, msg: ⇒ Any): Utils.SymbolTable

    Implicit information
      This member is added by an implicit conversion from Utils.SymbolTable to Ensuring[Utils.SymbolTable] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### def ensuring(cond: Boolean): Utils.SymbolTable

    Implicit information
      This member is added by an implicit conversion from Utils.SymbolTable to Ensuring[Utils.SymbolTable] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

24. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

26. #### def filterAliases(p: (tools.nsc.Global.Symbol, tools.nsc.Global.TermName) ⇒ Boolean): Utils.SymbolTable

27. #### def filterSyms(p: (tools.nsc.Global.Symbol) ⇒ Boolean): Utils.SymbolTable

28. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

29. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Utils.SymbolTable to StringFormat[Utils.SymbolTable] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

30. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

31. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

32. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

33. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### def symAliases(sym: tools.nsc.Global.Symbol): List[tools.nsc.Global.TermName]

37. #### def symBinding(sym: tools.nsc.Global.Symbol): tools.nsc.Global.Tree

38. #### def symDef(sym: tools.nsc.Global.Symbol): tools.nsc.Global.Tree

39. #### def symName(sym: tools.nsc.Global.Symbol): tools.nsc.Global.TermName

40. #### def symRef(sym: tools.nsc.Global.Symbol): tools.nsc.Global.Tree

41. #### def syms: List[tools.nsc.Global.Symbol]

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### def toString(): String

    Definition Classes
      SymbolTable → AnyRef → Any

44. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### def →[B](y: B): (Utils.SymbolTable, B)

    Implicit information
      This member is added by an implicit conversion from Utils.SymbolTable to ArrowAssoc[Utils.SymbolTable] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Utils.SymbolTable to any2stringadd[Utils.SymbolTable] performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (symbolTable: any2stringadd[Utils.SymbolTable]).+(other)

   Definition Classes
     any2stringadd

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Utils.SymbolTable to any2stringadd[Utils.SymbolTable]

### Inherited by implicit conversion StringFormat from Utils.SymbolTable to StringFormat[Utils.SymbolTable]

### Inherited by implicit conversion Ensuring from Utils.SymbolTable to Ensuring[Utils.SymbolTable]

### Inherited by implicit conversion ArrowAssoc from Utils.SymbolTable to ArrowAssoc[Utils.SymbolTable]

### Ungrouped